SolrIndexConfig (Solr 3.6.2 API)
Keywords: org.apache.solr.update.SolrIndexConfig class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.update
Class SolrIndexConfig

    java.lang.Object
      org.apache.solr.update.SolrIndexConfig

    public class SolrIndexConfig

extends Object

This config object encapsulates IndexWriter config params, defined in the <indexConfig> section of solrconfig.xml

Version:
  $Id: SolrIndexConfig.java 1307331 2012-03-30 09:30:20Z janhoy $

Field Summary
`static String` | `DEFAULT_MERGE_SCHEDULER_CLASSNAME`
`String` | `infoStreamFile`
`String` | `lockType`
`static org.slf4j.Logger` | `log`
`Version` | `luceneVersion`
`int` | `maxBufferedDocs`
`int` | `maxFieldLength`
`int` | `maxMergeDocs`
`int` | `mergeFactor`
`PluginInfo` | `mergePolicyInfo`
`PluginInfo` | `mergeSchedulerInfo`
`double` | `ramBufferSizeMB`
`int` | `termIndexInterval`
`boolean` | `useCompoundFile`
`int` | `writeLockTimeout`

Constructor Summary
`SolrIndexConfig(SolrConfig solrConfig, String prefix, SolrIndexConfig def)` Constructs a SolrIndexConfig which parses the Lucene related config params in solrconfig.xml

Method Summary
`IndexWriterConfig` | `toIndexWriterConfig(IndexSchema schema)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static final org.slf4j.Logger log

### DEFAULT_MERGE_SCHEDULER_CLASSNAME

    public static final String DEFAULT_MERGE_SCHEDULER_CLASSNAME

### luceneVersion

    public final Version luceneVersion

### useCompoundFile

    public final boolean useCompoundFile

### maxBufferedDocs

    public final int maxBufferedDocs

### maxMergeDocs

    public final int maxMergeDocs

### mergeFactor

    public final int mergeFactor

### ramBufferSizeMB

    public final double ramBufferSizeMB

### maxFieldLength

    public final int maxFieldLength

### writeLockTimeout

    public final int writeLockTimeout

### lockType

    public final String lockType

### mergePolicyInfo

    public final PluginInfo mergePolicyInfo

### mergeSchedulerInfo

    public final PluginInfo mergeSchedulerInfo

### termIndexInterval

    public final int termIndexInterval

### infoStreamFile

    public String infoStreamFile

Constructor Detail

### SolrIndexConfig

    public SolrIndexConfig(SolrConfig solrConfig,
                           String prefix,
                           SolrIndexConfig def)

  Constructs a SolrIndexConfig which parses the Lucene related config params in solrconfig.xml

  Parameters:
    `solrConfig` - the overall SolrConfig object
    `prefix` - the XPath prefix for which section to parse (default if null is "indexConfig")
    `def` - a SolrIndexConfig instance to pick default values from (optional)

Method Detail

### toIndexWriterConfig

    public IndexWriterConfig toIndexWriterConfig(IndexSchema schema)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD